Name:		xkeyboard-config
Version:	2.39
Release:	1
Summary:	The X Keyboard Extension
License:	MIT
URL:	        https://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source0:	https://xorg.freedesktop.org/archive/individual/data/%{name}/%{name}-%{version}.tar.xz


BuildArch:      noarch
BuildRequires:	gettext gettext-devel libtool libxslt perl(XML::Parser) pkgconfig(glib-2.0) xkbcomp meson
BuildRequires:	pkgconfig(x11) >= 1.4.3 pkgconfig(xorg-macros) >= 1.12	pkgconfig(xproto) >= 7.0.20

%description
The non-arch keyboard configuration database for X Window. The goal is to
provide the consistent, well-structured, frequently released open source of
X keyboard configuration data for X Window System implementations (free, 
open source and commercial). The project is targeted to XKB-based systems.

%package        devel
Summary:        Header files for xkeyboard-config
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
Header files for xkeyboard-config

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

# fix taiwan to china taiwan
sed -i 's|Taiwanese|Chinese Taiwan|' po/* rules/base.xml symbols/cn symbols/sun_vndr/tw symbols/tw
sed -i 's|Taiwan)|Taiwan China)|' po/* geometry/sun rules/base.xml symbols/tw

%build
%meson -Dcompat-rules=true -Dxorg-rules-symlinks=true
%meson_build

%install
%meson_install

{
   FILESLIST=${PWD}/files.list
   pushd $RPM_BUILD_ROOT
   find .%{_datadir}/X11/xkb -type d | sed -e "s/^\./%dir /g" > $FILESLIST
   find .%{_datadir}/X11/xkb -type f | sed -e "s/^\.//g" >> $FILESLIST
   popd
}

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING 
%{_datadir}/locale/*
%{_datadir}/X11/xkb/*

%files          devel
 %defattr(-,root,root)
%{_datadir}/pkgconfig/xkeyboard-config.pc

%files          help
%defattr(-,root,root)
%doc README docs/README.* docs/HOWTO.*  NEWS
%{_mandir}/man7/xkeyboard-config.*

%changelog
* Wed Jul 19 2023 zhangpan <zhangpan103@h-partners.com> - 2.39-1
- update to 2.39

* Sat May 06 2023 leeffo <liweiganga@uniontech.com> - 2.38-2
- fix taiwan to china taiwan

* Mon Feb 06 2023 zhangpan <zhangpan@h-partners.com> - 2.38-1
- update to 2.38

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.33-2
- Rebuild for next release

* Sat Nov 27 2021 wangkerong<wangkerong@huawei.com> - 2.33-1
- update to 2.33-1

* Mon Jul 20 2020 chengguipeng<chengguipeng1@huawei.com> - 2.30-1
- Upgrade to 2.30-1

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24-5
- Package init
